Bug 70529 - [Qt][WK2] Remove QtWidgets dependency in MiniBrowser
: [Qt][WK2] Remove QtWidgets dependency in MiniBrowser
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Qt
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Zeno Albisser
:
Depends on: 70525
Blocks: 70315 70537
  Show dependency treegraph
 
Reported: 2011-10-20 11:30 PDT by Zeno Albisser
Modified: 2011-10-26 01:29 PDT (History)
1 user (show)

See Also:


Attachments
patch for review. (28.54 KB, patch)
2011-10-20 12:16 PDT, Zeno Albisser
no flags Details | Formatted Diff | Diff
patch for review. (28.43 KB, patch)
2011-10-20 13:13 PDT, Zeno Albisser
no flags Details | Formatted Diff | Diff
patch for review. - save touch mocking. (26.60 KB, patch)
2011-10-25 04:59 PDT, Zeno Albisser
hausmann: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Albisser 2011-10-20 11:30:46 PDT
This is a requirement for creating an entirely QML based solution.
Comment 1 Zeno Albisser 2011-10-20 12:16:53 PDT
Created attachment 111821 [details]
patch for review.
Comment 2 Zeno Albisser 2011-10-20 13:13:48 PDT
Created attachment 111832 [details]
patch for review.

fixed ChangeLog
Comment 3 Zeno Albisser 2011-10-25 04:59:04 PDT
Created attachment 112322 [details]
patch for review. - save touch mocking.
Comment 4 Zeno Albisser 2011-10-25 05:22:13 PDT
Comment on attachment 112322 [details]
patch for review. - save touch mocking.

View in context: https://bugs.webkit.org/attachment.cgi?id=112322&action=review

> Tools/MiniBrowser/qt/MiniBrowserApplication.cpp:-165
> -        return true;

if we return true here, then mouse events will not be delivered anymore.
Comment 5 Simon Hausmann 2011-10-25 05:26:27 PDT
Comment on attachment 112322 [details]
patch for review. - save touch mocking.

View in context: https://bugs.webkit.org/attachment.cgi?id=112322&action=review

r=me

> Tools/ChangeLog:9
> +        Change BrowserWindow to derive from QSGView instead of
> +        QMainWindow. QSGView is used as a top level window that

We're going to have the land this before Friday, otherwise the patch will need work to adapt to the QSG* -> QQuick* renaming.

> Tools/MiniBrowser/qt/main.cpp:33
> +#include <QDir>

This seems unnecessary?
Comment 6 Zeno Albisser 2011-10-25 05:34:21 PDT
Comment on attachment 112322 [details]
patch for review. - save touch mocking.

View in context: https://bugs.webkit.org/attachment.cgi?id=112322&action=review

>> Tools/MiniBrowser/qt/main.cpp:33
>> +#include <QDir>
> 
> This seems unnecessary?

No, this one is indeed necessary. It was transitive fulfilled by including MiniBrowserApplication.h, which included <QFileDialog>. (And that was removed by this patch)
Comment 7 Simon Hausmann 2011-10-26 01:29:37 PDT
Committed r98448: <http://trac.webkit.org/changeset/98448>